=== debian/changelog ===
shotcut (25.03.13+ds-1ubuntu1) plucky; urgency=medium

  * Move the patchelf call later in the build process.
    References Launchpad bug #2060779.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 13:43:20 -0500

shotcut (25.03.13+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Fri, 14 Mar 2025 07:30:00 +0000

shotcut (25.03.12+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Thu, 13 Mar 2025 11:29:46 +0000
