=== debian/changelog ===
shotcut (25.03.29+ds-1ubuntu2) questing; urgency=medium

  * Removed not needed depends on qml6-module-qtquick-nativestyle,
    which will not be shipped in Qt 6.9.

 -- Rik Mills <rikmills@kde.org>  Sun, 03 Aug 2025 09:01:08 +0100

shotcut (25.03.29+ds-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Move the patchelf call later in the build process.
      References Launchpad bug #2060779.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 May 2025 07:20:00 +0100

shotcut (25.03.29+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 31 Mar 2025 11:05:11 +0000
