=== debian/control ===
--- 
+++ 
@@ -54,7 +54,6 @@
  qml6-module-qtqml-xmllistmodel,
  qml6-module-qtquick,
  qml6-module-qtquick-localstorage,
- qml6-module-qtquick-nativestyle,
  qml6-module-qtquick-particles,
  qml6-module-qtquick-shapes,
  qml6-module-qtquick-templates,
