## shotcut 25.08.16+ds

=== CuteLogger/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 3.1)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.12...3.31)
 
 PROJECT(CuteLogger)
