=== debian/changelog ===
shotcut (25.08.16+ds-1ubuntu1) resolute; urgency=medium

  * Merge from Debian. Remaining changes:
    - Move the patchelf call later in the build process.
      References Launchpad bug #2060779.

 -- Rik Mills <rikmills@kde.org>  Sat, 18 Oct 2025 18:29:33 +0100

shotcut (25.08.16+ds-1) unstable; urgency=medium

  * New upstream version. (Closes: #1113498)
  * Bump standards version to 4.7.2.
  * d/control: drop qml6-module-qtquick-nativestyle Depends. (Closes: #1112353)

 -- Alex Myczko <tar@debian.org>  Fri, 12 Sep 2025 10:42:38 +0200
