=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  qt6-tools-dev,
  qt6-quick3d-dev,
  qt6-charts-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/shotcut.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/shotcut
