## shotcut 25.10.31%2Bds

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+find_package(Qt6 REQUIRED COMPONENTS Core)
+
 add_executable(shotcut WIN32 MACOSX_BUNDLE
   abstractproducerwidget.cpp abstractproducerwidget.h
   actions.cpp actions.h
@@ -31,6 +33,7 @@
   dialogs/resourcedialog.cpp dialogs/resourcedialog.h
   dialogs/saveimagedialog.cpp dialogs/saveimagedialog.h
   dialogs/slideshowgeneratordialog.cpp dialogs/slideshowgeneratordialog.h
+  dialogs/speechdialog.h dialogs/speechdialog.cpp
   dialogs/subtitletrackdialog.cpp dialogs/subtitletrackdialog.h
   dialogs/systemsyncdialog.cpp dialogs/systemsyncdialog.h
   dialogs/systemsyncdialog.ui
@@ -59,16 +62,21 @@
   docks/subtitlesdock.cpp docks/subtitlesdock.h
   docks/timelinedock.cpp docks/timelinedock.h
   FlatpakWrapperGenerator.cpp FlatpakWrapperGenerator.h
+  htmlgenerator.h htmlgenerator.cpp
   jobqueue.cpp jobqueue.h
   jobs/abstractjob.cpp jobs/abstractjob.h
   jobs/bitrateviewerjob.h jobs/bitrateviewerjob.cpp
+  jobs/dockerpulljob.h jobs/dockerpulljob.cpp
   jobs/encodejob.cpp jobs/encodejob.h
   jobs/ffmpegjob.cpp jobs/ffmpegjob.h
   jobs/ffprobejob.cpp jobs/ffprobejob.h
   jobs/gopro2gpxjob.cpp jobs/gopro2gpxjob.h
+  jobs/htmlgeneratorjob.cpp jobs/htmlgeneratorjob.h
+  jobs/kokorodokijob.cpp jobs/kokorodokijob.h
   jobs/meltjob.cpp jobs/meltjob.h
   jobs/postjobaction.cpp jobs/postjobaction.h
   jobs/qimagejob.cpp jobs/qimagejob.h
+  jobs/screencapturejob.cpp jobs/screencapturejob.h
   jobs/videoqualityjob.cpp jobs/videoqualityjob.h
   jobs/whisperjob.cpp jobs/whisperjob.h
   main.cpp
@@ -122,6 +130,14 @@
   sharedframe.cpp sharedframe.h
   shotcut_mlt_properties.h
   transcoder.cpp transcoder.h
+  screencapture/rectangleselector.cpp
+  screencapture/rectangleselector.h
+  screencapture/screencapture.cpp
+  screencapture/screencapture.h
+  screencapture/toolbarwidget.cpp
+  screencapture/toolbarwidget.h
+  screencapture/windowpicker.cpp
+  screencapture/windowpicker.h
   spatialmedia/box.cpp spatialmedia/box.h
   spatialmedia/container.cpp spatialmedia/container.h
   spatialmedia/mpeg4_container.cpp spatialmedia/mpeg4_container.h
@@ -157,6 +173,8 @@
   widgets/frameratewidget.cpp widgets/frameratewidget.h
   widgets/glaxnimateproducerwidget.cpp widgets/glaxnimateproducerwidget.h
   widgets/glaxnimateproducerwidget.ui
+  widgets/htmlgeneratorwidget.cpp widgets/htmlgeneratorwidget.h
+  widgets/htmlgeneratorwidget.ui
   widgets/imageproducerwidget.cpp widgets/imageproducerwidget.h
   widgets/imageproducerwidget.ui
   widgets/isingwidget.cpp widgets/isingwidget.h
@@ -233,35 +251,3 @@
   ../packaging/linux/Makefile
   ../packaging/linux/org.shotcut.Shotcut.desktop
   ../packaging/linux/org.shotcut.Shotcut.metainfo.xml.in
-  ../packaging/linux/org.shotcut.Shotcut.xml
-  ../packaging/linux/shotcut.1
-  ../packaging/linux/snapcraft.yaml.in
-  ../packaging/macos/Info.plist.in
-  ../packaging/macos/shotcut.icns
-  ../packaging/windows/shotcut.iss
-  ../packaging/windows/shotcut.rc.in
-  ../README.md
-  ../scripts/build-shotcut-msys2.sh
-  ../scripts/build-shotcut.sh
-  ../scripts/codesign_and_notarize.sh
-  ../scripts/notarize.sh
-  ../scripts/staple.sh
-)
-
-target_link_libraries(shotcut
-  PRIVATE
-  CuteLogger
-  PkgConfig::mlt++
-  PkgConfig::FFTW
-  Qt6::Charts
-  Qt6::Multimedia
-  Qt6::Network
-  Qt6::OpenGL
-  Qt6::OpenGLWidgets
-  Qt6::QuickControls2
-  Qt6::QuickWidgets
-  Qt6::Sql
-  Qt6::Widgets
-  Qt6::Xml
-)
-if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
