## shotcut 25.10.31+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
   option(WINDOWS_DEPLOY "Install exes/libs directly to prefix (no subdir /bin)" ON)
 endif()
 option(CLANG_FORMAT "Enable Clang Format" ON)
+option(EXTERNAL_LAUNCHERS "Whether include features to launch external programs; for example, this should be off for Flatpak due to sandbox." ON)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
@@ -44,11 +45,14 @@
   QuickControls2
   QuickWidgets
   Sql
+  WebSockets
   Widgets
   Xml
 )
-if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
+if(UNIX AND NOT APPLE)
   find_package(Qt6 6.4 REQUIRED COMPONENTS DBus)
+  # X11 for WindowPicker (Linux/X11)
+  find_package(X11 REQUIRED)
 endif()
 
 find_package(PkgConfig REQUIRED)
