=== debian/changelog ===
shotcut (25.10.31+ds-1ubuntu1) resolute; urgency=medium

  * Merge from Debian. Remaining changes:
    - Move the patchelf call later in the build process.
      References Launchpad bug #2060779.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Nov 2025 23:48:30 +0000

shotcut (25.10.31+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/control: add qt6-websockets-dev to build-depends.

 -- Alex Myczko <tar@debian.org>  Mon, 03 Nov 2025 08:26:32 +0100
