## shotcut 25.12.2+ds

=== debian/changelog ===
shotcut (25.12.2+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Wed, 10 Dec 2025 14:43:24 +0000

shotcut (25.10.31+ds-2) unstable; urgency=medium

  * Change upstream TIMESTAMP to UTC to fix FTBR.

 -- Alex Myczko <tar@debian.org>  Fri, 14 Nov 2025 09:17:49 +0100
