=== debian/changelog ===
shotcut (25.12.31+ds-2) experimental; urgency=medium

  * d/control: drop patchelf.
  * d/rules: drop patchelf.
  * d/watch: update to version 5.

 -- Alex Myczko <tar@debian.org>  Mon, 05 Jan 2026 20:53:32 +0000

shotcut (25.12.31+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.
  * d/control: versioned libmlt-dev.

 -- Alex Myczko <tar@debian.org>  Thu, 01 Jan 2026 16:27:07 +0100
