=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: shotcut
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Alex Myczko <tar@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
- libmlt++-dev,
+ libmlt++-dev (>= 7.36.1),
  libmlt-dev,
  libmovit-dev,
  libmp3lame-dev,
@@ -19,7 +18,7 @@
  qml-module-qtquick-privatewidgets,
  qml-qt6,
  frei0r-plugins-dev,
- patchelf,
+# patchelf,
  qt6-multimedia-dev,
  qt6-base-dev,
  qt6-declarative-dev,
