=== debian/rules ===
--- 
+++ 
@@ -23,10 +23,8 @@
 
 override_dh_install:
 	dh_install
+#	-patchelf --set-rpath /usr/lib/shotcut debian/shotcut/usr/bin/shotcut
 	-chmod +x debian/*/usr/share/shotcut/qml/export-*/rebuild.sh
 
 override_dh_dwz:
 	echo NO THANKS
-
-execute_after_dh_strip:
-	-patchelf --set-rpath /usr/lib/shotcut debian/shotcut/usr/bin/shotcut
