=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
     eu
     fi
     fr
+    fr_CA
     ga
     gd
     gl
@@ -27,6 +28,7 @@
     it
     ko
     ja
+    lt
     nb
     nn
     ne
@@ -44,6 +46,7 @@
     tr
     uk
     zh_CN
+    zh-Hans
     zh_TW
 )
