=== debian/changelog ===
shotcut (26.1.30+ds-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Restore patchelf, otherwise it can't find libCuteLogger.so.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 03 Feb 2026 09:13:11 -0800

shotcut (26.1.30+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Sun, 01 Feb 2026 12:37:51 +0000
