=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,13 @@
 
 override_dh_install:
 	dh_install
-#	-patchelf --set-rpath /usr/lib/shotcut debian/shotcut/usr/bin/shotcut
+	-patchelf --set-rpath /usr/lib/shotcut debian/shotcut/usr/bin/shotcut
 	-chmod +x debian/*/usr/share/shotcut/qml/export-*/rebuild.sh
 
 override_dh_dwz:
 	echo NO THANKS
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
