## shotcut python-1.0.0

=== requirements.txt ===
requests>=2.25.0
typing-extensions>=4.0.0
